package vp.gui.components;

import java.awt.Color;
import java.awt.Image;
import javax.swing.Box;
import javax.swing.BoxLayout;
import javax.swing.ImageIcon;
import javax.swing.JLabel;
import javax.swing.border.EtchedBorder;

import vp.gui.*;

public class DialogHeader extends VPPanel
{
	public DialogHeader(Image image, String header)
	{
		setLayout(new BoxLayout(this, BoxLayout.X_AXIS));
		setBackground(VPSettings.Colors.SIDE_PANEL);
		ImageIcon icon = new ImageIcon(image);
		JLabel label = new JLabel(icon);
		label.setBorder(
			new EtchedBorder(
				VPSettings.Colors.MD_BLUE,
				Color.lightGray));
		add(label);
		add(Box.createHorizontalStrut(10));
		label = new VPBLabel(header);
		add(label);
	}
}
