package vp.gui.table.components;

import javax.swing.JCheckBox;
import javax.swing.JComponent;

import vp.gui.VPSettings;

public class CheckCellComponent extends JCheckBox implements VPCellComponent
{
	private int row, column;

	private Object value;

	public CheckCellComponent(Object value, int row, int column)
	{
		this.value = value;
		this.row = row;
		this.column = column;
		setBackground(VPSettings.Colors.CLEAR);
		if (value instanceof Boolean)
		{
			Boolean b = (Boolean)value;
			setSelected(b.booleanValue());
		}
	}

	/* (non-Javadoc)
	 * @see vp.src.edu.yale.vitapad.gui.table.VPCellComponent#getComponent()
	 */
	public JComponent getComponent()
	{
		return this;
	}

	/* (non-Javadoc)
	 * @see vp.src.edu.yale.vitapad.gui.table.VPCellComponent#getValue()
	 */
	public Object getValue()
	{
		return value;
	}

	/* (non-Javadoc)
	 * @see vp.src.edu.yale.vitapad.gui.table.VPCellComponent#getRow()
	 */
	public int getRow()
	{
		return row;
	}

	/* (non-Javadoc)
	 * @see vp.src.edu.yale.vitapad.gui.table.VPCellComponent#getColumn()
	 */
	public int getColumn()
	{
		return column;
	}
}
