package vp.util;

public class ActionCenter
{
	public static final String SHOW_ENZYMES = "show-enzymes";
	public static final String SHOW_GENES = "show-genes";
	public static final String GO_TO_IPA = "go-to-ipa";
	public static final String PATHWAY_DETAILS = "pathway-details";
	public static final String ADD_SPECIES = "add-species";
	public static final String SET_GRADIENT_MIN = "set-gradient-min";
	public static final String SET_GRADIENT_MAX = "set-gradient-max";
	public static final String SAVE_GRADIENT = "save-gradient";
	public static final String LOAD_GRADIENT = "load-gradient";
	public static final String EDIT_NULL_COLOR = "edit-null-color";
	public static final String EDIT_MAX_COLOR = "edit-max-color";
	public static final String EDIT_MIN_COLOR = "edit-min-color";
	public static final String EDIT_GRADIENT = "edit-gradient";
	public static final String EXPERIMENT_SEARCH = "experiment-search";
	public static final String REFUSE = "refuse";
	public static final String APPROVE = "approve";
	public static final String SAVE_NOTE = "save-note";
	public static final String LOAD_PATHWAY_FILE = "load-pathway-file";
	public static final String LOAD_EXPERIMENT_FILE = "load-experiment-file";
	public static final String GO_TO_KEGG = "go-to-kegg";
	public static final String ANNOTATE = "annotate";
	public static final String ADD_COMPOUND = "add-compound";
	public static final String ADD_DECORATION = "add-decoration";
	public static final String ADD_ENZYME = "add-enzyme";
    public static final String LOAD_FLAT_FILE = "load-flat-file";
	public static final String CANCEL = "cancel";
	public static final String CHANGE_TYPE = "change-type";
	public static final String CLEAR = "clear";
	public static final String DECORATE_EDGE = "decorate-edge";
	public static final String DELETE_BUTTON_PRESSED = "delete-button-pressed";
	public static final String DELETE_ENZYME = "delete-enzyme";
	public static final String DELETE_LINK = "delete-link";
	public static final String DELETE_SELECTED = "delete-selected";
	public static final String DELETE_VERTEX = "delete-vertex";
	public static final String DISPOSE = "dispose";
	public static final String EDIT_BUTTON_PRESSED = "edit-button-pressed";
	public static final String EDIT_DECORATION = "edit-decoration";
	public static final String EDIT_DECORATION_PROPERTIES =
		"edit-decoration-properties";
	public static final String EDIT_DECORATION_TEXT = "edit-decoration-text";
	public static final String EDIT_EDGE_OUTLINE_COLOR =
		"edit-edge-outline-color";
	public static final String EDIT_EDGE_PROPERTIES = "edit-edge-properties";
	public static final String EDIT_LINK = "edit-link";
	public static final String EDGE_MODE = "edge-mode";
	public static final String EDIT_MODE = "edit-mode";
	public static final String EDIT_SELECTED = "edit-selected";
	public static final String EDIT_VERTEX = "edit-vertex";
	public static final String EDIT_VERTEX_FILL_COLOR =
		"edit-vertex-fill-color";
	public static final String EDIT_VERTEX_FONT_COLOR =
		"edit-vertex-font-color";
	public static final String EDIT_VERTEX_OUTLINE_COLOR =
		"edit-vertex-outline-color";
	public static final String EDIT_VERTEX_PROPERTIES =
		"edit-vertex-properties";
	public static final String EDIT_VERTEX_TEXT = "edit-vertex-text";
	public static final String EXIT = "exit";
	public static final String EXPERIMENT_DETAILS = "experiment-details";
	public static final String FILTER_EXPERIMENTS = "filter-experiments";
	public static final String FIND_COMPOUND = "find-compound";
	public static final String FIND_ENZYME = "find-enzyme";
	public static final String FIND_EXPERIMENT = "find-experiment";
	public static final String FIND_PATHWAY = "find-pathway";
	public static final String GRAPH_VIEW = "graph-view";
	public static final String LOAD_EXPERIMENT = "load-experiment";
	public static final String LOAD_FILE = "load-file";
	public static final String LOAD_FROM_DB = "load-from-db";
	public static final String MOVE_MODE = "move-mode";
	public static final String NEW = "new";
	public static final String OK = "ok";
	public static final String PRINT = "print";
	public static final String PRINT_PREVIEW = "print-preview";
	public static final String REDO = "redo";
	public static final String REMOVE_DECORATION = "remove-decoration";
	public static final String REPLACE_TYPE = "replace-type";
	public static final String SAVE_FILE = "save-file";
	public static final String SAVE_FILE_INTO_DB = "save-file-into-db";
	public static final String SAVE_IMAGE = "save-image";
	public static final String SAVE_TYPE = "save-type";
	public static final String SELECT_ALL_COMPOUNDS = "select-all-compounds";
	public static final String SELECT_ALL_LINKS = "select-all-links";
	public static final String SELECT_COMPOUND = "select-compound";
	public static final String SELECT_ENZYME = "select-enzyme";
	public static final String SELECT_PATHWAY = "select-pathway";
	public static final String SORT_ASCENDING = "sort-ascending";
    public static final String FIRST_EXPERIMENT = "first-experiment";
    public static final String LAST_EXPERIMENT = "last-experiment";
    public static final String NEXT_EXPERIMENT = "next-experiment";
    public static final String PREV_EXPERIMENT = "prev-experiment";
	public static final String SORT_DESCENDING = "sort-descending";
	public static final String SYSTEM_EXIT = "system-exit";
	public static final String TABLE_VIEW = "table-view";
	public static final String UNDO = "undo";
	public static final String VERTEX_MODE = "vertex-mode";
	public static final String VIEW_MODE = "view-mode";
	public static final String ZOOM_IN = "zoom-in";
	public static final String ZOOM_OUT = "zoom-out";

	private ActionCenter()
	{}
}
