package vp.util;

import java.io.File;
import javax.swing.filechooser.FileFilter;


public class FileExtensionFilter extends FileFilter
{
	private String extension;
    
	public FileExtensionFilter(String extension)
	{
		this.extension = extension;
	}
	public boolean accept(File file)
	{
        String s = file.getName();
        if (file.isFile() && !s.toUpperCase().endsWith(extension.toUpperCase()))
			return false;
		return true;
	}

	public String getDescription()
	{
		return StringTable.retrieve(extension);
	}
}
