package vp.util;

import vp.graph.PathwayElement;
import vp.graph.PathwayGraph;
import java.util.EventObject;

public class TypeChangeEvent extends EventObject
{
	private PathwayElement type;
	private PathwayGraph pGraph;

	public TypeChangeEvent(Object source, PathwayGraph pGraph, PathwayElement type)
	{
		super(source);
		this.type = type;
		this.pGraph = pGraph;
	}

	public PathwayGraph getPathwayGraph()
	{
		return pGraph;
	}

	public PathwayElement getType()
	{
		return type;
	}
}
