package vp.util.database;

import java.sql.Connection;
import java.sql.DriverManager;
import java.sql.Statement;

public class DBAccess
{
	private static final Statement STATEMENT = getAccess();
	private static Connection con;
	private static Statement stmt;
	private DBAccess()
	{

		try
		{
			String driver = "oracle.jdbc.driver.OracleDriver";
			//String url = "jdbc:oracle:thin:@192.168.0.7:1521:pathway";
            String url = "jdbc:oracle:thin:@mas013.med.yale.edu:1521:YCSGP";
            
			Class.forName(driver);
			con = DriverManager.getConnection(url, "pdeyun", "pdeyun");
			con.setAutoCommit(false);
			stmt = con.createStatement();
		}
		catch (Exception e)
		{
			e.printStackTrace();
		}
	}

	private static Statement getAccess()
	{
		if (stmt == null)
			new DBAccess();
		return stmt;
	}

	public static Statement getStatement()
	{
		return STATEMENT;
	}

	public static boolean isInitialized()
	{
		return (stmt != null);
	}

	public static void initialize()
	{
		getAccess();
	}

	public static Statement createAnotherStatement()
	{
		Statement newStatement = null;
		try
		{
			newStatement = con.createStatement();
		}
		catch (Exception e)
		{
			e.printStackTrace();
		}
		return newStatement;
	}

	public static void commit()
	{
		try
		{
			con.commit();
		}
		catch (Exception e)
		{
			e.printStackTrace();
		}
	}

	public static void rollback()
	{
		try
		{
			con.rollback();
		}
		catch (Exception e)
		{
			e.printStackTrace();
		}
	}
}
