package vp.visual.paint;

/**
* An abstract class which handles assigning the painting of a visual vertex.  It is an empty implementation of painter
* factory and is in turn implemented by the singleton class <code>VisualVertexPainterFactoryImp</code>.
*
* @see edu.yale.graph.visual.painting.VisualVertexPainterFactoryImp
*/
public abstract class VertexPainterFactory implements PainterFactory
{}
