package vp.visual.type;

import java.awt.Color;
import java.awt.geom.GeneralPath;

/**
* A default edge type, generally used to represent links between compounds.
*/
public class DefaultEdgeType3 extends Type
{
	/**
	* Creates a type using the default values.		<br><br>
	* Outline color:	black(0, 0, 0)				<br>
	* Shape:			"Line"						<br>
	* Name:				"Default Edge Type 1"		<br>
	* Curvature:		0							<br>
	*/
	public DefaultEdgeType3()
	{
		outlineColor = new Color(128, 0, 0);
		shape = "Line";
		name = "Default Edge Type 1";
		curvature = 0;
        drawPath = new GeneralPath();
	}
}
