//package vp.visual.type;
//
//import java.awt.Color;
//import java.awt.Font;
//import java.awt.geom.GeneralPath;
//
///**
//* The standard implementation of the abstract class <code>Type</code>.  This class is used for temporary types as well
//* as for stored user-defined types.  There are separate constructors for vertices/decorations and for edges.
//*
//* @see edu.yale.graph.type.Type
//*/
//public class TypeImp extends Type
//{
//	/**
//	* Constructs a new visual type for a vertex or decoration using the specified values.
//	*
//	* @param outlineColor	The color of the element's border.
//	* @param fillColor	The color of the element's body.
//	* @param fontColor	The color of the font used to label the element.
//	* @param font	The font used to label the element.
//	* @param drawPath	The geometric drawPath of the element.
//	* @param shape	A string describing the shape of the element.  This value should be one of: "Ellipse", "Rectangle"
//	* and "Rounded Rectangle".
//	* @param name	A full-length descriptive name for the element.
//	* @param shortName	A brief name for the element.   This is the name under which the type is saved.
//	*/
//	public TypeImp(
//		Color outlineColor,
//		Color fillColor,
//		Color fontColor,
//		Font font,
//		GeneralPath drawPath,
//		String shape,
//		String name,
//		String shortName)
//	{
//		this.outlineColor = outlineColor;
//		this.fillColor = fillColor;
//		this.fontColor = fontColor;
//		this.font = font;
//		this.drawPath = drawPath;
//		this.shape = shape;
//		this.name = name;
//		this.shortName = shortName;
//	}
//
//	/**
//	* Constructs a new visual type for an edge using the specified values.
//	*
//	* @param outlineColor	The color of the edge.
//	* @param shape	A string describing the shape of the edge.  The value should be either "Line" or "Dotted Line".
//	* @param name	A full-length descriptive name for the element.
//	* @param curvature	The degree of curvature for the edge.  The value should be either 0 for not curved or <>0
//	* for curved.
//	*/
//	public TypeImp(
//		Color outlineColor,
//		String shape,
//		String name,
//		float curvature)
//	{
//		this.outlineColor = outlineColor;
//		this.shape = shape;
//		this.name = name;
//		this.curvature = curvature;
//	}
//
//	
//}
