package vp.graph;

public class Experiment
{
	private int expID;
	private String name;
	private String idType;
	private String uploadDate;
	private String publicFlag;
	private String description;

//	public Experiment(int id, String name)
//	{
//		this.id = id;
//		this.name = name;
//	}

	public Experiment(
		int expID,
		String name,
		String idType,
		String uploadDate,
		String isPublic,
		String description)
	{
		this.expID = expID;
		this.name = name;
		this.idType = idType;
		this.uploadDate = uploadDate;
		this.publicFlag = isPublic;
		this.description = description;
	}
	/**
	     * @param experiment
	     */
	public Experiment(Experiment experiment)
	{
		expID = experiment.getExpID();
		name = experiment.getName();
	}

	public int getExpID()
	{
		return expID;
	}

	public String getName()
	{
		return name;
	}

	public void setExpID(int expID)
	{
		this.expID = expID;
	}

	public void setName(String name)
	{
		this.name = name;
	}

	public String toString()
	{
		return name;
	}
	/**
	 * @return
	 */
	public String getDescription()
	{
		return description;
	}

	/**
	 * @return
	 */
	public String getIdType()
	{
		return idType;
	}

	/**
	 * @return
	 */
	public String getPublicFlag()
	{
		return publicFlag;
	}

	/**
	 * @return
	 */
	public String getUploadDate()
	{
		return uploadDate;
	}

	/**
	 * @param string
	 */
	public void setDescription(String string)
	{
		description = string;
	}

	/**
	 * @param string
	 */
	public void setIdType(String idType)
	{
		this.idType = idType;
	}

	/**
	 * @param b
	 */
	public void setPublicFlag(String publicFlag)
	{
		this.publicFlag = publicFlag;
	}

	/**
	 * @param string
	 */
	public void setUploadDate(String string)
	{
		uploadDate = string;
	}

}
