package vp.gui.kunststoff;

import javax.swing.JComponent;
import javax.swing.plaf.ComponentUI;
import javax.swing.text.Element;
import javax.swing.text.PasswordView;
import javax.swing.text.View;

/*
 * This code was developed by INCORS GmbH (www.incors.com).
 * It is published under the terms of the GNU Lesser General Public License.
 */

public class KunststoffPasswordFieldUI extends KunststoffTextFieldUI
{

	KunststoffPasswordFieldUI(JComponent c)
	{
		super(c);
	}

	public static ComponentUI createUI(JComponent c)
	{
		return new KunststoffPasswordFieldUI(c);
	}

	protected String getPropertyPrefix()
	{
		return "PasswordField";
	}

	public View create(Element elem)
	{
		return new PasswordView(elem);
	}
}