package vp.gui.table;

import vp.graph.PathwayGraph;
import vp.gui.table.components.TableViewer;

public class CompoundTable extends VPTable
{
	
	private PathwayGraph pGraph;

	public CompoundTable(TableViewer viewer, PathwayGraph pGraph)
	{
		this.viewer = viewer;
		this.pGraph = pGraph;
		tableData = new CompoundTableData(pGraph, this);
		
		init();

		fixColumnWidth(2, 120);
		fixColumnWidth(4, 60);
		fixColumnWidth(5, 60);
		fixColumnWidth(0, 45);
	}
}
