package vp.gui.table;

import vp.graph.PathwayGraph;
import vp.gui.table.components.TableViewer;

public class EdgeTable extends VPTable
{
	private PathwayGraph pGraph;

	public EdgeTable(TableViewer viewer, PathwayGraph pGraph)
	{
		this.viewer = viewer;
		this.pGraph = pGraph;
		tableData = new EdgeTableData(pGraph, this);
		
		init();
		
		fixColumnWidth(2, 120);
		fixColumnWidth(0, 45);
		fixColumnWidth(4, 75);
		fixColumnWidth(5, 100);
	}
}
