package vp.gui.table;

import vp.graph.PathwayGraph;
import vp.gui.table.components.TableViewer;

public class EnzymeTable extends VPTable
{
	private PathwayGraph pGraph;

	public EnzymeTable(TableViewer viewer, PathwayGraph pGraph)
	{
		this.viewer = viewer;
		this.pGraph = pGraph;
		tableData = new EnzymeTableData(pGraph, this);
		
		init();

		fixColumnWidth(2, 120);
		fixColumnWidth(1, 100);
		fixColumnWidth(4, 80);
		fixColumnWidth(0, 45);
	}
}
