package vp.main;

import java.io.File;
import java.io.IOException;

import vp.util.VPProperties;

public class VitaPad
{

	private VitaPad()
	{
	}
	
	public static void main(String[] args)
	{	
        VPProperties.readProperties();
        File f = new File("");
        String filePath = "";
        try
		{
			filePath = f.getCanonicalPath();
		}
		catch (IOException e)
		{
			e.printStackTrace();
		}
        VPProperties.setFilePath(filePath);
		MainFrame mf = new MainFrame();
		mf.setVisible(true);
		if (args.length > 0)
		{
			if(args[0].equals("demo"))
			{
				new VPDemo();
			}
			else if(args[0].equals("movement"))
			{
				new MovementDemo(mf);
			}
		}
	}
}
