package vp.util;

import java.util.StringTokenizer;

public class StringUtilities
{

	private StringUtilities()
	{
	}

	public static String breakUpString(String s)
	{
		if(s.length() < 10)
			return s;

		String brokenUpString = "";
		StringTokenizer tkzr = new StringTokenizer(s, " -", true);

		while (tkzr.hasMoreTokens())
		{
			String currentLine = "";
			String check = "";
			while (currentLine.length() < 10 && tkzr.hasMoreTokens())
			{
				check = tkzr.nextToken();
				currentLine += check;
			}
			String newLine = tkzr.hasMoreTokens() ? "\n" : "";
			currentLine = currentLine.trim();
			brokenUpString += currentLine + newLine;
		}

		return brokenUpString;
	}
}
