package vp.visual.paint;

/**
* An abstract class which handles assigning the painting of a visual decoration.  It is an empty implementation of 
* painter factory and is in turn implemented by the singleton class <code>VisualDecorationPainterFactoryImp</code>.
*
* @see edu.yale.graph.visual.painting.VisualDecorationPainterFactoryImp
*/
public interface DecorationPainterFactory extends PainterFactory
{}
