package vp.visual.paint;

/**
* An abstract class which handles assigning the painting of a visual edge.  It is an empty implementation of painter
* factory and is in turn implemented by the singleton class <code>VisualEdgePainterFactoryImp</code>.
*
* @see edu.yale.graph.visual.painting.VisualEdgePainterFactoryImp
*/
public interface EdgePainterFactory extends PainterFactory
{}
