package vp.visual.type;

import java.awt.Color;
import java.awt.geom.GeneralPath;

/**
* A default edge type, generally used to represent links between compounds and pathways.
*/
public class DefaultEdgeType2 extends Type
{
	/**
	* Creates a type using the default values.		<br><br>
	* Outline color:	black(0, 0, 0)				<br>
	* Shape:			"Dotted Line"				<br>
	* Name:				"Default Edge Type 2"		<br>
	* Curvature:		0							<br>
	*/
	public DefaultEdgeType2()
	{
		outlineColor = Color.black;
		shape = "Dotted";
		name = "Default Edge Type 2";
		curvature = 0;
        drawPath = new GeneralPath();
	}
}
